#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    bool stopK = false, stopI = false;
    int N;
    cin>>N;
    int lepota[N];

    for(int i = 0; i < N; i++)
        cin>>lepota[i];

    if(N > 2)
    {
        int kS = 9;
        for(int i = 0; i < N - 1; i++)
        {
            for(int k = kS; k > lepota[i]; k--)
            {
                kS--;
                for(int j = i + 1; j < N; j++)
                {
                    if(lepota[j] == k)
                    {
                        int temp = lepota[i];
                        lepota[i] = lepota[j];
                        lepota[j] = temp;
                        stopK = true;
                        break;
                    }
                }
                if(stopK == true)
                {
                    stopI = true;
                    break;
                }
            }
            if(stopI == true)
                break;
        }
    }
    else if(N == 2)
    {
        int temp = lepota[0];
        lepota[0] = lepota[1];
        lepota[1] = temp;
    }

    cout<<lepota[0];
    for(int i = 1; i < N; i++)
    {
        cout<<" "<<lepota[i];
    }

    return 0;
}